XkbKeycodeToKeysym(3)

NAME
XkbKeycodeToKeysym - Finds the keysym bound to a particular key at a specified group and shift level

SYNOPSIS
KeySym XkbKeycodeToKeysym ( dpy, kc, group, level )
      Display *dpy;
      KeyCode kc;
      unsigned int group;
      unsigned int level;

ARGUMENTS

- dpy
    connection to X server

- kc
    key of interest

- group
    group of interest

- level
    shift level of interest

DESCRIPTION

XkbKeycodeToKeysym returns the keysym bound to a particular group and shift level for a particular key on the core keyboard. If kc is not a legal keycode for the core keyboard, or if group or level are out of range for the specified key, XkbKeycodeToKeysym returns NoSymbol.